import { object } from "yup";
import { cityValidation, identityNameValidation, lineOneValidation, lineTwoValidation, postalValidation, stateValidation, } from "../../business-forms/schemas/schema-validations";
export const fullBillingSchema = () => object({
    name: identityNameValidation.required('Enter full name'),
    address_line1: lineOneValidation.required('Enter street address'),
    address_line2: lineTwoValidation.nullable(),
    address_city: cityValidation.required('Enter city'),
    address_state: stateValidation.required('Select state or province'),
    address_postal_code: postalValidation.required('Enter postal code'),
});
export const postalOnlySchema = () => object({
    name: identityNameValidation.nullable(),
    address_line1: lineOneValidation.nullable(),
    address_line2: lineTwoValidation.nullable(),
    address_city: cityValidation.nullable(),
    address_state: stateValidation.nullable(),
    address_postal_code: postalValidation.required('Enter postal code'),
});
export const nameOnlySchema = () => object({
    name: identityNameValidation.required('Enter full name'),
    address_line1: lineOneValidation.nullable(),
    address_line2: lineTwoValidation.nullable(),
    address_city: cityValidation.nullable(),
    address_state: stateValidation.nullable(),
    address_postal_code: postalValidation.nullable(),
});
